Bug 981782 - No --skip option in repo updates and hence can no not be updated
No --skip option in repo updates and hence can no not be updated
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.2 Beta
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.3.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 15:31 EDT by Preethi Thomas
Modified: 2013-12-09 09:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:30:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-07-05 15:31:20 EDT
Description of problem:
There is no way to update the skip types for a repo.
[root@ibm-x3550m3-11 ~]# pulp-admin rpm repo create --help
Command: create
Description: creates a new repository


Synchronization
  --feed     - URL of the external source repository to sync
  --validate - if "true", the size and checksum of each synchronized file will
               be verified against the repo metadata
  --skip     - comma-separated list of types to omit when synchronizing, if not
               specified all types will be synchronized; valid values are: rpm,
               drpm, distribution, erratum


[root@ibm-x3550m3-11 ~]# pulp-admin rpm repo update --help
Command: update
Description: changes metadata on an existing repository

Available Arguments:



Synchronization
  --feed     - URL of the external source repository to sync
  --validate - if "true", the size and checksum of each synchronized file will
               be verified against the repo metadata



Version-Release number of selected component (if applicable):
[root@ibm-x3550m3-11 ~]# rpm -qa pulp-server
pulp-server-2.2.0-0.18.beta.fc18.noarch
[root@ibm-x3550m3-11 ~]# 


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Barnaby Court 2013-08-13 12:00:43 EDT
Pull request for the fix: https://github.com/pulp/pulp_rpm/pull/303
Comment 2 Barnaby Court 2013-09-04 13:35:33 EDT
Pull request for the fix: https://github.com/pulp/pulp_rpm/pull/304
Comment 3 Jeff Ortel 2013-09-12 18:36:04 EDT
build: 2.3.0-0.10.alpha
Comment 4 Preethi Thomas 2013-09-18 10:23:32 EDT
[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.12.alpha.el6.noarch
[root@pulp-v2-server ~]# 

[root@pulp-v2-server ~]# pulp-admin rpm repo update 
Command: update
Description: changes metadata on an existing repository

Available Arguments:

  --repo-id      - (required) unique identifier; only alphanumeric, ., -, and _
                   allowed
  --display-name - user-readable display name (may contain i18n characters)
  --description  - user-readable description (may contain i18n characters)
  --note         - adds/updates/deletes notes to programmatically identify the
                   resource; key-value pairs must be separated by an equal sign
                   (e.g. key=value); multiple notes can be changed by specifying
                   this option multiple times; notes are deleted by specifying
                   "" as the value

Synchronization
  --feed     - URL of the external source repository to sync
  --validate - if "true", the size and checksum of each synchronized file will
               be verified against the repo metadata
  --skip     - comma-separated list of types to omit when synchronizing, if not
               specified all types will be synchronized; valid values are: rpm,
               drpm, distribution, erratum


[root@pulp-v2-server ~]# pulp-admin rpm repo update --repo-id rhel6-2 --skip rpm 
Repository [rhel6-2] successfully updated

[root@pulp-v2-server ~]# 
[root@pulp-v2-server ~]# 
[root@pulp-v2-server ~]# 
[root@pulp-v2-server ~]# pulp-admin rpm repo sync run --repo-id rhel6-2
+----------------------------------------------------------------------+
                   Synchronizing Repository [rhel6-2]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[-]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       0/0 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 6/6 items
... completed

Importing errata...
[\]
... completed

Importing package groups/categories...
[\]
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 6/6 items
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@pulp-v2-server ~]# pulp-admin rpm repo update --repo-id rhel6-2 --skip rpm,distribution
Repository [rhel6-2] successfully updated

[root@pulp-v2-server ~]# pulp-admin rpm repo sync run --repo-id rhel6-2
+----------------------------------------------------------------------+
                   Synchronizing Repository [rhel6-2]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[|]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       0/0 items
Delta RPMs: 0/0 items

... completed

Importing errata...
[|]
... completed

Importing package groups/categories...
[\]
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@pulp-v2-server ~]#
Comment 5 Preethi Thomas 2013-12-09 09:30:40 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.